Skip to main content

Update Property Custom Data: Propertyware REST

PUThttps://api.propexo.com/v1/properties/propertyware_rest/:property_id/custom-data

The custom data fields given in this payload must already exist on the property. At this time, Propertyware REST does not support a way to create custom fields initially via the API.

MethodInterface
PUT /v1/buildings/customfieldsBuildings

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The Propexo unique identifier for the property

Request​

This endpoint expects an object.

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values

    property name* object
    anyOf

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    property_idstringrequired

    The Propexo unique identifier for the property

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values

    property name* object
    anyOf

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/properties/propertyware_rest/:property_id/custom-data
curl -X PUT https://api.propexo.com/v1/properties/propertyware_rest/:property_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"custom_data": {}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"property_id": "string",
"custom_data": {}
}
}